#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
name=tootaudioservers
version=3

cd "$tmp"
svn co http://$name.googlecode.com/svn/trunk $name-$version
cd $name-$version
svnver=$(svnversion)svn
find . -type d -name "\.svn" | xargs rm -fr -- || :
cd ..
mv $name-$version $name-$version.$svnver
tar jcf "$pwd"/$name-$version.$svnver.tar.bz2 $name-$version.$svnver
echo "Written: $name-$version.$svnver.tar.bz2"

